/*
* Prefixed by https://autoprefixer.github.io
* PostCSS: v8.4.14,
* Autoprefixer: v10.4.7
* Browsers: last 4 version
*/

/* ----- MEDIA QUERY == 600px / RESPONSIVE ----- */
@media only screen and (max-width: 600px) {
    .col {
        display: flex;
        flex-wrap: wrap;
    }

    /* .col-skils {
        display: flex;
        justify-content: flex-start;
        align-items: flex-start;
    } */
}

/* ----- MEDIA QUERY == 1024px / RESPONSIVE ----- */
@media only screen and (max-width: 1024px) {
    .featured-text {
        padding: 0;
    }

    .image,
    .image img {
        width: 320px;
        height: 320px;
    }
}

/* ----- MEDIA QUERY == 900px / RESPONSIVE ----- */
@media only screen and (max-width: 900px) {
    .nav-button {
        display: none;
    }

    .nav-menu.responsive {
        left: 0;
    }

    .nav-menu {
        position: fixed;
        top: 80px;
        left: -100%;
        -webkit-box-orient: vertical;
        -webkit-box-direction: normal;
        -ms-flex-direction: column;
        flex-direction: column;
        -webkit-box-pack: center;
        -ms-flex-pack: center;
        justify-content: center;
        -webkit-box-align: center;
        -ms-flex-align: center;
        align-items: center;
        background: rgba(255, 255, 255, 0.7);
        -webkit-backdrop-filter: blur(20px);
        backdrop-filter: blur(20px);
        width: 100%;
        min-height: 450px;
        height: 90vh;
        -webkit-transition: .3s;
        -o-transition: .3s;
        transition: .3s;
    }

    .nav_menu_list {
        -webkit-box-orient: vertical;
        -webkit-box-direction: normal;
        -ms-flex-direction: column;
        flex-direction: column;
    }

    .nav-menu-btn {
        display: -webkit-box;
        display: -ms-flexbox;
        display: flex;
        -webkit-box-align: center;
        -ms-flex-align: center;
        align-items: center;
        -webkit-box-pack: center;
        -ms-flex-pack: center;
        justify-content: center;
    }

    .featured-box {
        -webkit-box-orient: vertical;
        -webkit-box-direction: normal;
        -ms-flex-direction: column;
        flex-direction: column;
        -webkit-box-pack: center;
        -ms-flex-pack: center;
        justify-content: center;
        height: 100vh;
    }

    .featured-text {
        width: 100%;
        -webkit-box-ordinal-group: 3;
        -ms-flex-order: 2;
        order: 2;
        -webkit-box-pack: center;
        -ms-flex-pack: center;
        justify-content: center;
        -ms-flex-line-pack: start;
        align-content: flex-start;
        min-height: 60vh;
    }

    .social_icons {
        margin-top: 1.5em;
    }

    .featured-image {
        -webkit-box-ordinal-group: 2;
        -ms-flex-order: 1;
        order: 1;
        -webkit-box-pack: center;
        -ms-flex-pack: center;
        justify-content: center;
        min-height: 150px;
        width: 100%;
        margin-top: 65px;
    }

    .image,
    .image img {
        margin-top: 1rem;
        /* width: 300px; */
        height: 500px;
    }

    .row {
        display: -webkit-box;
        display: -ms-flexbox;
        display: flex;
        -webkit-box-orient: vertical;
        -webkit-box-direction: normal;
        -ms-flex-direction: column;
        flex-direction: column;
        -webkit-box-pack: center;
        -ms-flex-pack: center;
        justify-content: center;
        gap: 50px;
    }

    .col {
        display: -webkit-box;
        display: -ms-flexbox;
        display: flex;
        width: 100%;
    }

    .about-info,
    .contact-info {
        width: 100%;
    }

    .project-container {
        -webkit-box-pack: center;
        -ms-flex-pack: center;
        justify-content: center;
    }

    .featured-text-card span {
        margin-top: 10rem;
        background: var(--third-color);
        color: var(--color-white);
        padding: 3px 10px;
        font-size: 15px;
        font-weight: 600;
        border-radius: 5px 30px;
    }

    .featured-name {
        font-size: 40px;
        font-weight: 600;
        color: var(--text-color-second);
        margin-block: 20px;
    }

    .featured-text-info {
        font-size: 15px;
        font-weight: 500;
        margin-bottom: 30px;
        color: var(--text-color-second);
    }

    .nav-menu-btn i {
        font-size: 20px;
        cursor: pointer;
    }

    .btn {
        display: -webkit-box;
        display: -ms-flexbox;
        display: flex;
        -webkit-box-align: center;
        -ms-flex-align: center;
        align-items: center;
        font-size: 15px;
        font-weight: 500;
        padding: 2px 10px;
        background: #efefef;
        border: none;
        border-radius: 10px;
        cursor: pointer;
        -webkit-transition: .4s;
        -o-transition: .4s;
        transition: .4s;
    }

    .social_icons {
        display: -webkit-box;
        display: -ms-flexbox;
        display: flex;
        margin-top: 1em;
        gap: 20px;
    }

    .icon {
        display: -webkit-box;
        display: -ms-flexbox;
        display: flex;
        -webkit-box-pack: center;
        -ms-flex-pack: center;
        justify-content: center;
        -webkit-box-align: center;
        -ms-flex-align: center;
        align-items: center;
        width: 40px;
        height: 40px;
        padding: 20px;
        border-radius: 50%;
        -webkit-box-shadow: 0px 2px 5px 0px rgba(0, 0, 0, 0.25);
        box-shadow: 0px 2px 5px 0px rgba(0, 0, 0, 0.25);
        cursor: pointer;
    }

    .hr {
        margin-top: 2rem;
    }

    .project-container {
        -webkit-box-pack: space-evenly;
        -ms-flex-pack: space-evenly;
        justify-content: space-evenly;
        gap: 20px;
    }

    .project-box {
        width: 90%;
    }

    .project-data {
        margin-top: 0;
    }

    .certificates-container {
        gap: 25px;
    }

    .certificates-box {
        width: 45%;
    }

    .certificates-box img {
        margin-bottom: 10px;
        height: 40px;
        border-radius: 5px;
        -webkit-border-radius: 5px;
        -moz-border-radius: 5px;
        -ms-border-radius: 5px;
        -o-border-radius: 5px;
    }
}

/* ----- MEDIA QUERY == 540px / RESPONSIVE ----- */

@media only screen and (max-width: 540px) {
    /* .certificates-box {
        height: auto;
    } */

    .featured-name {
        font-size: 40px;
    }

    .project-box {
        width: 95%;
    }

    .form-inputs {
        -webkit-box-orient: vertical;
        -webkit-box-direction: normal;
        -ms-flex-direction: column;
        flex-direction: column;
    }

    .input-field {
        width: 100%;
    }

    .uil-envelope p {
        font-size: 10px;
    }

    .certificates-box {
        width: 100%;
        display: -ms-grid;
        display: grid;
        display: -webkit-box;
        display: -ms-flexbox;
        display: flex;
        -webkit-box-pack: center;
        -ms-flex-pack: center;
        justify-content: center;
        grid-template-columns: repeat(auto-fit, minmax(500px, 1fr));
        grid: 2rem;
    }

    .certificates-box img {
        height: 20px;
    }

    .contact-info p>i {
        font-size: 15px;
    }

    .project-image {
        height: auto;
    }
}


/* ----- MEDIA QUERY == 540px / RESPONSIVE ----- */

@media only screen and (max-width: 400px) {
    .contact-info p>i {
        font-size: 13px;
    }

}

/* ----- MEDIA QUERY == 1920px--1300px / RESPONSIVE ----- */
@media (min-width :1100px) and (max-width : 1300px) {
    .certificates-box img {
        height: 18px;
    }
}

/* ----- MEDIA QUERY == 1920px--1100px / RESPONSIVE ----- */
@media (min-width :1000px) and (max-width : 1300px) {
    .nav-button {
        display: none;
    }

    .nav-menu.responsive {
        left: 0;
    }

    .nav-menu {
        position: fixed;
        top: 80px;
        left: -100%;
        -webkit-box-orient: vertical;
        -webkit-box-direction: normal;
        -ms-flex-direction: column;
        flex-direction: column;
        -webkit-box-pack: center;
        -ms-flex-pack: center;
        justify-content: center;
        -webkit-box-align: center;
        -ms-flex-align: center;
        align-items: center;
        background: rgba(255, 255, 255, 0.7);
        -webkit-backdrop-filter: blur(20px);
        backdrop-filter: blur(20px);
        width: 100%;
        min-height: 450px;
        height: 90vh;
        -webkit-transition: .3s;
        -o-transition: .3s;
        transition: .3s;
    }

    .nav_menu_list {
        -webkit-box-orient: vertical;
        -webkit-box-direction: normal;
        -ms-flex-direction: column;
        flex-direction: column;
    }

    .nav-menu-btn {
        display: -webkit-box;
        display: -ms-flexbox;
        display: flex;
        -webkit-box-align: center;
        -ms-flex-align: center;
        align-items: center;
        -webkit-box-pack: center;
        -ms-flex-pack: center;
        justify-content: center;
    }


    .hr {
        margin-top: 2rem;
    }

    .project-container {
        -webkit-box-pack: space-evenly;
        -ms-flex-pack: space-evenly;
        justify-content: space-evenly;
        gap: 20px;
    }

    .project-box {
        width: 45%;
    }

    .certificates-container {
        gap: 30px;
    }

    .certificates-box {
        width: 48%;
    }

    .certificates-box img {
        margin-bottom: 10px;
        height: 40px;
        border-radius: 5px;
    }
}

@media (min-width :540px) and (max-width : 1000px) {
    .nav-button {
        display: none;
    }

    .nav-menu.responsive {
        left: 0;
    }

    .nav-menu {
        position: fixed;
        top: 80px;
        left: -100%;
        -webkit-box-orient: vertical;
        -webkit-box-direction: normal;
        -ms-flex-direction: column;
        flex-direction: column;
        -webkit-box-pack: center;
        -ms-flex-pack: center;
        justify-content: center;
        -webkit-box-align: center;
        -ms-flex-align: center;
        align-items: center;
        background: rgba(255, 255, 255, 0.7);
        -webkit-backdrop-filter: blur(20px);
        backdrop-filter: blur(20px);
        width: 100%;
        min-height: 450px;
        height: 90vh;
        -webkit-transition: .3s;
        -o-transition: .3s;
        transition: .3s;
    }

    .nav_menu_list {
        -webkit-box-orient: vertical;
        -webkit-box-direction: normal;
        -ms-flex-direction: column;
        flex-direction: column;
    }

    .nav-menu-btn {
        display: -webkit-box;
        display: -ms-flexbox;
        display: flex;
        -webkit-box-align: center;
        -ms-flex-align: center;
        align-items: center;
        -webkit-box-pack: center;
        -ms-flex-pack: center;
        justify-content: center;
    }


    .hr {
        margin-top: 2rem;
    }

    .project-container {
        -webkit-box-pack: space-evenly;
        -ms-flex-pack: space-evenly;
        justify-content: space-evenly;
        gap: 20px;
    }

    .project-image {
        height: auto;
    }

    .project-box {
        width: 90%;
    }

    .certificates-container {
        gap: 25px;
        display: flex;
        justify-content: center;
    }

    .certificates-box {
        width: 80%;
        display: -ms-grid;
        display: grid;
        display: -webkit-box;
        display: -ms-flexbox;
        display: flex;
        -webkit-box-pack: center;
        -ms-flex-pack: center;
        justify-content: center;
        grid-template-columns: repeat(auto-fit, minmax(500px, 1fr));
        grid: 2rem;
    }
}